# wxGridEditorCreatedEvent Class Reference
[Grid Related Classes, Events]

`#include <wx/grid.h>`

Inheritance diagram for wxGridEditorCreatedEvent:
[legend]

## Detailed Description

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxGridEditorCreatedEvent& event)
Event macros:

- EVT_GRID_EDITOR_CREATED(func):
  The editor for a cell was created. Processes a `wxEVT_GRID_EDITOR_CREATED` event type.
- EVT_GRID_CMD_EDITOR_CREATED(id, func):
  The editor for a cell was created; variant taking a window identifier. Processes a `wxEVT_GRID_EDITOR_CREATED` event type.

##

Library: wxAdvanced

Category: Grid Related Classes, Events

## Public Member Functions
| wxGridEditorCreatedEvent ()
| Default constructor.
| wxGridEditorCreatedEvent (int id, wxEventType type, wxObject *obj, int row, int col, wxControl *ctrl)
| Constructor for initializing all event attributes.
int | GetCol ()
| Returns the column at which the event occurred.
wxControl * | GetControl ()
| Returns the edit control.
int | GetRow ()
| Returns the row at which the event occurred.
void | SetCol (int col)
| Sets the column at which the event occurred.
void | SetControl (wxControl *ctrl)
| Sets the edit control.
void | SetRow (int row)
| Sets the row at which the event occurred.

List of all members.

## Constructor & Destructor Documentation

wxGridEditorCreatedEvent::wxGridEditorCreatedEvent | ( |  | ) |

Default constructor.

wxGridEditorCreatedEvent::wxGridEditorCreatedEvent | ( | int | id,
|  | wxEventType | type,
|  | wxObject * | obj,
|  | int | row,
|  | int | col,
|  | wxControl * | ctrl |
| ) |  |  |

Constructor for initializing all event attributes.

## Member Function Documentation

int wxGridEditorCreatedEvent::GetCol | ( |  | ) |

Returns the column at which the event occurred.

wxControl* wxGridEditorCreatedEvent::GetControl | ( |  | ) |

Returns the edit control.

int wxGridEditorCreatedEvent::GetRow | ( |  | ) |

Returns the row at which the event occurred.

void wxGridEditorCreatedEvent::SetCol | ( | int | col | ) |

Sets the column at which the event occurred.

void wxGridEditorCreatedEvent::SetControl | ( | wxControl * | ctrl | ) |

Sets the edit control.

void wxGridEditorCreatedEvent::SetRow | ( | int | row | ) |

Sets the row at which the event occurred.

|  | [ top ]